import es
import playerlib
import soccer.soccer as soccerlib
import psyco
psyco.full()

info = es.AddonInfo()
info.name = "Soccer Team Skins Script"
info.version = soccerlib.info.version
info.basename = "soccerteamskins"
info.author = "chrismrulz"

awaychar = soccerlib.config.get("Skins", "awaychar")
tskin = soccerlib.config.get("Skins", "tskin")
ctskin = soccerlib.config.get("Skins", "ctskin")
skins = soccerlib.config.items("Skins")

def loadblock():
	es.msg("#Green", "Soccer Team Skins Script On - by Toph")
	for i in skins:
		tagname = utfcode(i[0])
		if(tagname != 'awaychar'):
			es.stringtable('downloadables', i[1])

def load():
	loadblock()

def es_map_start(event_var):
	loadblock()

def utfcode(value):
	if type(value).__name__ == 'unicode':
		return value.encode('utf-8')
	return value

def unload():
	es.msg("#Green", "Soccer Team Skins Script Off")

def parseskins(name, userid, team):
	name = name.lower()
	if('<gk>' not in name):
		toset = ""
		toset2 = ""
		for i in skins:
			tagname = utfcode(i[0])
			skinname = i[1]
			if(tagname in name and tagname.find('tskin') == -1):
				if(awaychar == ''):
					toset = skinname
				elif(awaychar in name):
					toset = skinname
				else:
					toset2 = skinname
			elif(team == '2'):
				playerlib.getPlayer(userid).setModel(tskin)
			elif(team == '3'):
				playerlib.getPlayer(userid).setModel(ctskin)
		if(toset != ""):
			playerlib.getPlayer(userid).setModel(toset)
		elif(toset2 != ""):
			playerlib.getPlayer(userid).setModel(toset2)

def player_changename(event_var):
	parseskins(event_var['newname'], event_var['userid'], event_var['es_userteam'])

def player_spawn(event_var):
	parseskins(event_var['es_username'], event_var['userid'], event_var['es_userteam'])

def lo3spawn():
	if(es.server_var['soccergoalie_enabled'] != 0):
		for player in playerlib.getPlayerList('#alive'):
			parseskins(player.name, player.userid, player.team)